#!/usr/bin/perl
#
# console.pm - console interface module for pbedic 
# Miroslav Yordanov - 2002 (almost 2003)
#
# http://mironcho.sourceforge.net
# mironcholinux@mail.bg
# 
# ToDo : Everything :)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

use warnings;
use strict;
use Term::ReadLine;


my $term = new Term::ReadLine('pbedic');
my $def_out = 'STDOUT';
my $OUT = $term->OUT || $def_out;

select $OUT;
print "\nWellcome to pbedic console module\n";
print "Enter '-q' to quit\n";

while (1) {
	$word = $term->readline('pbedic> ');
	$word =~ s/^\s+// ;
	$word =~ s/\s+$// ;
	last if ($word eq '-q');
	next if ($word !~ /[a-zA-Z--\s-]/);

	my $r = my_find;
	if ($r) {
		unless ($main::ex_found) {
			print "\n   \n";
		}
		print "\n$r\n\n";
	} else {
		print "\n   !!!\n\n";
	}

	$term->addhistory($word) if ($r);
	undef $word;
}

select $def_out;

1;
